From: Gabor Juhos <juhosg@openwrt.org>
Subject: ar71xx: ar934x_nfc: experimental NAND Flash Controller driver for AR934x

SVN-Revision: 33385
---
 drivers/mtd/nand/raw/Kconfig                  | 8 ++++++++
 drivers/mtd/nand/raw/Makefile                 | 1 +
 2 files changed, 9 insertions(+)

--- a/drivers/mtd/nand/raw/Kconfig
+++ b/drivers/mtd/nand/raw/Kconfig
@@ -554,4 +554,12 @@ config MTD_NAND_DISKONCHIP_BBTWRITE
 	  load time (assuming you build diskonchip as a module) with the module
 	  parameter "inftl_bbt_write=1".
 
+config MTD_NAND_AR934X
+	tristate "Support for NAND controller on Qualcomm Atheros AR934x/QCA955x SoCs"
+	depends on ATH79 || COMPILE_TEST
+	depends on HAS_IOMEM
+	help
+	  Enables support for NAND controller on Qualcomm Atheros SoCs.
+	  This controller is found on AR934x and QCA955x SoCs.
+
 endif # MTD_RAW_NAND
--- a/drivers/mtd/nand/raw/Makefile
+++ b/drivers/mtd/nand/raw/Makefile
@@ -58,6 +58,7 @@ obj-$(CONFIG_MTD_NAND_ARASAN)		+= arasan
 obj-$(CONFIG_MTD_NAND_INTEL_LGM)	+= intel-nand-controller.o
 obj-$(CONFIG_MTD_NAND_ROCKCHIP)		+= rockchip-nand-controller.o
 obj-$(CONFIG_MTD_NAND_PL35X)		+= pl35x-nand-controller.o
+obj-$(CONFIG_MTD_NAND_AR934X)		+= ar934x_nand.o
 
 nand-objs := nand_base.o nand_legacy.o nand_bbt.o nand_timings.o nand_ids.o
 nand-objs += nand_onfi.o
